Page MenuHomePhabricator

refactor OTRS role/module/cumin aliases
Closed, ResolvedPublic

Description

the entire OTRS puppet role, module, cumin aliases and everything else in the puppet repo (maybe except the host name) should
be renamed from OTRS to VRTS

also see T280392

please consider this stalled for the moment though.

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+2 -2
operations/puppetproduction+4 -4
operations/puppetproduction+7 -7
operations/puppetproduction+2 -2
operations/puppetproduction+1 -1
operations/puppetproduction+1 -1
operations/puppetproduction+2 -2
operations/puppetproduction+0 -279
operations/puppetproduction+2 -2
operations/puppetproduction+2 -2
operations/puppetproduction+2 -2
operations/puppetproduction+3 -3
operations/puppetproduction+23 -23
operations/puppetproduction+17 -17
operations/puppetproduction+34 -34
labs/privatemaster+0 -2
operations/puppetproduction+31 -31
operations/puppetproduction+10 -10
operations/puppetproduction+20 -20
labs/privatemaster+2 -2
operations/puppetproduction+2 -2
operations/puppetproduction+2 -2
operations/puppetproduction+14 -14
labs/privatemaster+2 -0
Show related patches Customize query in gerrit

Event Timeline

please don't upload patches, i want to use this as an example in a kind of workshop

Dzahn changed the task status from Stalled to Open.Oct 29 2021, 4:21 PM
Dzahn reassigned this task from Dzahn to Arnoldokoth.
Dzahn triaged this task as Low priority.

discussed in 1:1 with Arnold

Change 754020 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] OTRS: rename role class to VRTS

https://gerrit.wikimedia.org/r/754020

Arnoldokoth renamed this task from rename OTRS role/module/cumin aliases to refactor OTRS role/module/cumin aliases.Jan 14 2022, 7:44 PM

Change 755465 had a related patch set uploaded (by AOkoth; author: AOkoth):

[labs/private@master] otrs: create new vrts hieradata

https://gerrit.wikimedia.org/r/755465

Change 755465 merged by AOkoth:

[labs/private@master] otrs: create new vrts hieradata

https://gerrit.wikimedia.org/r/755465

Change 754020 merged by AOkoth:

[operations/puppet@production] OTRS: rename role class to VRTS

https://gerrit.wikimedia.org/r/754020

Change 755473 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] cumin: rename OTRS alias to VRTS after role rename

https://gerrit.wikimedia.org/r/755473

Change 756529 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Also rename otrs Cumin alias to vrts

https://gerrit.wikimedia.org/r/756529

Change 755473 merged by AOkoth:

[operations/puppet@production] cumin: rename OTRS alias to VRTS after role rename

https://gerrit.wikimedia.org/r/755473

Change 756529 abandoned by Muehlenhoff:

[operations/puppet@production] Also rename otrs Cumin alias to vrts

Reason:

Already fixed in https://gerrit.wikimedia.org/r/c/operations/puppet/+/755473

https://gerrit.wikimedia.org/r/756529

Change 757519 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] otrs: rename profile to vrts

https://gerrit.wikimedia.org/r/757519

Change 757681 had a related patch set uploaded (by AOkoth; author: AOkoth):

[labs/private@master] otrs: rename hieradata

https://gerrit.wikimedia.org/r/757681

Change 757681 merged by AOkoth:

[labs/private@master] otrs: rename hieradata

https://gerrit.wikimedia.org/r/757681

Change 757519 merged by AOkoth:

[operations/puppet@production] otrs: rename profile to vrts

https://gerrit.wikimedia.org/r/757519

Change 762845 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] vrts: rename profile variables

https://gerrit.wikimedia.org/r/762845

Change 762845 merged by AOkoth:

[operations/puppet@production] vrts: rename profile variables

https://gerrit.wikimedia.org/r/762845

Change 762935 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] vrts: rename module class variables

https://gerrit.wikimedia.org/r/762935

Change 762935 merged by AOkoth:

[operations/puppet@production] vrts: rename module class variables

https://gerrit.wikimedia.org/r/762935

Change 764743 had a related patch set uploaded (by Kormat; author: Kormat):

[labs/private@master] Remove obsolete otrs.yaml hiera.

https://gerrit.wikimedia.org/r/764743

Change 764743 merged by Dzahn:

[labs/private@master] Remove obsolete otrs.yaml hiera.

https://gerrit.wikimedia.org/r/764743

Change 766815 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] otrs: rename module variables

https://gerrit.wikimedia.org/r/766815

Change 766815 merged by AOkoth:

[operations/puppet@production] otrs: rename module variables

https://gerrit.wikimedia.org/r/766815

Change 769998 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] vrts: rename mail module class variables

https://gerrit.wikimedia.org/r/769998

Change 769998 merged by AOkoth:

[operations/puppet@production] vrts: rename mail module class variables

https://gerrit.wikimedia.org/r/769998

Change 776237 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] vrts: rename module files and classes

https://gerrit.wikimedia.org/r/776237

Change 776237 merged by AOkoth:

[operations/puppet@production] vrts: rename module files and classes

https://gerrit.wikimedia.org/r/776237

Change 802579 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] sre: update renamed otrs role to vrts

https://gerrit.wikimedia.org/r/802579

Change 802580 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: adjust tests files to renamed role class

https://gerrit.wikimedia.org/r/802580

Change 802580 merged by Dzahn:

[operations/puppet@production] vrts: adjust tests files to renamed role class

https://gerrit.wikimedia.org/r/802580

Change 802849 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: rename daemon resource and template from otrs to vrts

https://gerrit.wikimedia.org/r/802849

Change 802850 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: rename systemd timer to train spamassassin

https://gerrit.wikimedia.org/r/802850

Change 802851 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: rename exim4 templates from otrs to vrts

https://gerrit.wikimedia.org/r/802851

Change 802852 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: rename TicketExport2Mbox file

https://gerrit.wikimedia.org/r/802852

Change 802853 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: rename ferm services from otrs to vrts

https://gerrit.wikimedia.org/r/802853

Change 802854 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] mx: rename OTRS database related variables

https://gerrit.wikimedia.org/r/802854

Change 802876 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] vrts: delete idle_agent_report

https://gerrit.wikimedia.org/r/802876

Change 802851 merged by Dzahn:

[operations/puppet@production] vrts: rename exim4 templates from otrs to vrts

https://gerrit.wikimedia.org/r/802851

Change 802849 merged by Dzahn:

[operations/puppet@production] vrts: rename daemon resource and template from otrs to vrts

https://gerrit.wikimedia.org/r/802849

Mentioned in SAL (#wikimedia-operations) [2022-06-06T21:41:19Z] <mutante> otrs1001 - stopped otrs-daemon, started vrts-daemon - after renaming it gerrit:802849 (T293942)

Change 802579 merged by Dzahn:

[operations/puppet@production] sre: update renamed otrs role to vrts

https://gerrit.wikimedia.org/r/802579

Change 802876 merged by Dzahn:

[operations/puppet@production] vrts: delete idle_agent_report

https://gerrit.wikimedia.org/r/802876

Change 802850 merged by Dzahn:

[operations/puppet@production] vrts: rename systemd timer to train spamassassin

https://gerrit.wikimedia.org/r/802850

Change 804397 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] vrts: fix type in timer name

https://gerrit.wikimedia.org/r/804397

Change 804397 merged by Dzahn:

[operations/puppet@production] vrts: fix type in timer name

https://gerrit.wikimedia.org/r/804397

Change 804398 had a related patch set uploaded (by AOkoth; author: AOkoth):

[operations/puppet@production] vrts: rename cleanup cache service

https://gerrit.wikimedia.org/r/804398

Change 804398 merged by Dzahn:

[operations/puppet@production] vrts: rename cleanup cache service

https://gerrit.wikimedia.org/r/804398

Change 802852 merged by Dzahn:

[operations/puppet@production] vrts: rename TicketExport2Mbox file

https://gerrit.wikimedia.org/r/802852

Change 802853 merged by Dzahn:

[operations/puppet@production] vrts: rename ferm services from otrs to vrts

https://gerrit.wikimedia.org/r/802853

Change 802854 merged by Dzahn:

[operations/puppet@production] mx: rename OTRS database related variables

https://gerrit.wikimedia.org/r/802854

Change 804416 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] prometheus:ops: rename otrs references to vrts

https://gerrit.wikimedia.org/r/804416

Change 804416 merged by Dzahn:

[operations/puppet@production] prometheus:ops: rename otrs references to vrts

https://gerrit.wikimedia.org/r/804416

@Arnoldokoth The last change we had uploaded in our meeting the other day is now merged. I would say we can call this resolved and close the ticket (but also create a new one for migration to bullseye sometime in the future.. which mentions that we should ._then_ also do the remaining rename of:

  • installation path moved from /opt/otrs
  • user that runs it changed from otrs

That would basically cover everything except the database name.. which we are not planning to change.

@Dzahn Yeah, sure. Let me close this now. Thanks.